Error logs spammed with DeprecationWarnings

Asked by Nicholas Leskiw on 2012-04-06

I'm getting this message over and over (at least 1-2 a second) in my apache error logs.

No handlers could be found for logger "cache"
/usr/lib64/python2.6/site-packages/mod_python/importer.py:32: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5

Any way to suppress this?

Question information

Language:
English Edit question
Status:
Answered
For:
Graphite Edit question
Assignee:
No assignee Edit question
Last query:
2012-04-06
Last reply:
2012-04-07
Michael Leinartas (mleinartas) said : #1

It looks like this DeprecationWarning is from mod_python itself. You could patch mod_python (either by hand or by updating the package) to use 'from hashlib import md5' instead of 'import md5' if it's a nuisance. Other than the log spam it shouldnt affect anything though.

Can you help with this problem?

Provide an answer of your own, or ask Nicholas Leskiw for more information if necessary.

To post a message you must log in.